Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class CRLNumber

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.DERInteger
                      org.bouncycastle.asn1.x509.CRLNumber

All Implemented Interfaces:
  DEREncodable, DERTags

    public class CRLNumber

extends DERInteger

The CRLNumber object.

     CRLNumber::= INTEGER(0..MAX)

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`CRLNumber(java.math.BigInteger number)`

Method Summary
`java.math.BigInteger` `getCRLNumber()`
`java.lang.String` `toString()`

Methods inherited from class org.bouncycastle.asn1.DERInteger
`getInstance, getInstance, getPositiveValue, getValue, hashCode`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRLNumber

    public CRLNumber(java.math.BigInteger number)

Method Detail

### getCRLNumber

    public java.math.BigInteger getCRLNumber()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DERInteger`

Bouncy Castle Cryptography Library 1.45